const schema = require('@colyseus/schema');
const Schema = schema.Schema;

class World extends Schema {

  constructor(width, height) {
    super();
    this.width = width;
    this.height = height;
  }

}

schema.defineTypes(GameObject, {
  x: "number",
  y: "number",
  width: "number",
  height: "number",
  velocity: "number",
  direction: "number",
  color: "string"
});

module.exports = GameObject;